Subject: Re: [PATCH 4/4] t4300 (rebase): don't unnecessarily set GIT_TRACE

From: Jonathan Nieder <[email-masked]>
Date: Mon, 13 May 2013 16:05:57 -0700

Ramkumar Ramachandra wrote:

>                                                              I've
> never really found the outputs from earlier tests enlightening.

If the test suite would automatically use "set -x" when appropriate
so output for each command was preceded by the command being run,
that would presumably make the verbose output more useful.

If you are not in a situation where it's difficult to debug
interactively, I doubt you'll find anything better than reproducing
the bug by hand and exploring.  I suppose an option "Run up to this
test, stop, and tell me the $TRASH_DIRECTORY and next test so I can
try it manually" could be a way to simplify that workflow.

Regards,
Jonathan